## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/handover/providers

Try it

### Create a Handover Provider

#### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/handover/providers \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data ' \
{
  "_id": "<string>",
  "referenceId": "<string>",
  "organisationId": "<string>",
  "serviceId": "<string>",
  "service": "<string>",
  "localeId": "<string>",
  "name": "<string>",
  "createdAt": 123,
  "lastChangedAt": 123,
  "createdBy": "<string>",
  "lastChangedBy": "<string>",
  "properties": [{}],
  "settings": {},
  "projectId": "<string>"
}
'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/handover/providers"

payload = {
    "_id": "<string>",
    "referenceId": "<string>",
    "organisationId": "<string>",
    "serviceId": "<string>",
    "service": "<string>",
    "localeId": "<string>",
    "name": "<string>",
    "createdAt": 123,
    "lastChangedAt": 123,
    "createdBy": "<string>",
    "lastChangedBy": "<string>",
    "properties": [{}],
    "settings": {},
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    _id: '<string>',
    referenceId: '<string>',
    organisationId: '<string>',
    serviceId: '<string>',
    service: '<string>',
    localeId: '<string>',
    name: '<string>',
    createdAt: 123,
    lastChangedAt: 123,
    createdBy: '<string>',
    lastChangedBy: '<string>',
    properties: [{}],
    settings: {},
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/handover/providers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/handover/providers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_POST => true,
  CURLOPT_POSTFIELDS => json_encode([
    '_id' => '<string>',
    'referenceId' => '<string>',
    'organisationId' => '<string>',
    'serviceId' => '<string>',
    'service' => '<string>',
    'localeId' => '<string>',
    'name' => '<string>',
    'createdAt' => 123,
    'lastChangedAt' => 123,
    'createdBy' => '<string>',
    'lastChangedBy' => '<string>',
    'properties' => [{}],
    'settings' => [],
    'projectId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Response Codes

- `201` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `402` - Payment Required
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `409` - Conflict
- `413` - Payload Too Large
- `500` - Internal Server Error
- `501` - Not Implemented
- `502` - Bad Gateway
- `503` - Service Unavailable
- `504` - Gateway Timeout

### Request Body

```json
{
  "_id": "<string>",
  "referenceId": "<string>",
  "organisationId": "<string>",
  "serviceId": "<string>",
  "service": "<string>",
  "localeId": "<string>",
  "name": "<string>",
  "createdAt": 123,
  "lastChangedAt": 123,
  "createdBy": "<string>",
  "lastChangedBy": "<string>",
  "properties": [{}],
  "settings": {}
}
```

### Authorizations

- **X-API-Key**: Required header to access the API.

### Headers

- Accept: `application/json` (default)
- Content-Type: `application/json`
